
_SPI_Init3:

;routinesspi.h,3 :: 		void SPI_Init3( )              //settings pdf 17.3.3 p165
;routinesspi.h,5 :: 		CS_EN_Dir = 0;               //SS SLave select EN configure as output
	BCF         TRISC2_bit+0, BitPos(TRISC2_bit+0) 
;routinesspi.h,6 :: 		SCK_Dir=0;                   //SCK Master output
	BCF         TRISC3_bit+0, BitPos(TRISC3_bit+0) 
;routinesspi.h,7 :: 		MOSI_Dir=0;                  //MOSI output
	BCF         TRISC5_bit+0, BitPos(TRISC5_bit+0) 
;routinesspi.h,8 :: 		RST_Dir=0;                   //Reset output
	BCF         TRISC1_bit+0, BitPos(TRISC1_bit+0) 
;routinesspi.h,9 :: 		AO_Dir=0;                    //Data Command
	BCF         TRISC0_bit+0, BitPos(TRISC0_bit+0) 
;routinesspi.h,11 :: 		SSPSTAT &= 0x3F;               // power on state                       //SMP=0 middle CKE=0 idle->act
	MOVLW       63
	ANDWF       SSPSTAT+0, 1 
;routinesspi.h,12 :: 		SSPCON1 = 0x00;                // power on state
	CLRF        SSPCON1+0 
;routinesspi.h,13 :: 		SSPCON1 |= SPI_FOSC_4;         // select serial mode                   //delay voor enable moet aangepast worden
;routinesspi.h,14 :: 		SSPSTAT |= SMPMID;           // select data input sample phase
;routinesspi.h,15 :: 		SSPSTAT.CKE = 1;            // data transmitted on rising edge
	BSF         SSPSTAT+0, 6 
;routinesspi.h,16 :: 		SSPCON1.CKP = 0;            // clock idle state low
	BCF         SSPCON1+0, 4 
;routinesspi.h,17 :: 		SSPCON1 |= SSPENB;            // set SSPCON bit5, enable synchronous serial port
	BSF         SSPCON1+0, 5 
;routinesspi.h,19 :: 		CS_EN = 1;
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;routinesspi.h,20 :: 		}
L_end_SPI_Init3:
	RETURN      0
; end of _SPI_Init3

_SPI_Write3:

;routinesspi.h,28 :: 		unsigned char SPI_Write3( unsigned char data_out )
;routinesspi.h,30 :: 		PIR1.SSPIF = 0;
	BCF         PIR1+0, 3 
;routinesspi.h,31 :: 		SSPBUF = data_out;           // write byte to SSPBUF register
	MOVF        FARG_SPI_Write3_data_out+0, 0 
	MOVWF       SSPBUF+0 
;routinesspi.h,32 :: 		if ( SSPCON1 & 0x80 )        // test if write collision occurred
	BTFSS       SSPCON1+0, 7 
	GOTO        L_SPI_Write30
;routinesspi.h,33 :: 		return ( -1 );              // if WCOL bit is set return negative #
	MOVLW       255
	MOVWF       R0 
	GOTO        L_end_SPI_Write3
L_SPI_Write30:
;routinesspi.h,35 :: 		{ while( !PIR1.SSPIF );}  // wait until bus cycle complete
L_SPI_Write32:
	BTFSC       PIR1+0, 3 
	GOTO        L_SPI_Write33
	GOTO        L_SPI_Write32
L_SPI_Write33:
;routinesspi.h,36 :: 		return ( 0 );                // if WCOL bit is not set return non-negative#
	CLRF        R0 
;routinesspi.h,37 :: 		}
L_end_SPI_Write3:
	RETURN      0
; end of _SPI_Write3

_SPI_Read3:

;routinesspi.h,46 :: 		unsigned char SPI_Read3( char buff )
;routinesspi.h,48 :: 		SSPBUF = 0x00;                  // initiate bus cycle
	CLRF        SSPBUF+0 
;routinesspi.h,49 :: 		while ( !SSPSTAT.BF );      // wait until cycle complete
L_SPI_Read34:
	BTFSC       SSPSTAT+0, 0 
	GOTO        L_SPI_Read35
	GOTO        L_SPI_Read34
L_SPI_Read35:
;routinesspi.h,50 :: 		return ( SSPBUF );              // return with byte read
	MOVF        SSPBUF+0, 0 
	MOVWF       R0 
;routinesspi.h,51 :: 		}
L_end_SPI_Read3:
	RETURN      0
; end of _SPI_Read3

_sendcomand:

;routinesst7735.h,1 :: 		void sendcomand(char data_out){
;routinesst7735.h,2 :: 		CS_EN = 0;
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;routinesst7735.h,3 :: 		AO=0;
	BCF         RC0_bit+0, BitPos(RC0_bit+0) 
;routinesst7735.h,4 :: 		SPI_Write3(data_out);
	MOVF        FARG_sendcomand_data_out+0, 0 
	MOVWF       FARG_SPI_Write3_data_out+0 
	CALL        _SPI_Write3+0, 0
;routinesst7735.h,5 :: 		CS_EN = 1;
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;routinesst7735.h,6 :: 		}
L_end_sendcomand:
	RETURN      0
; end of _sendcomand

_senddata:

;routinesst7735.h,7 :: 		void senddata(char data_out){
;routinesst7735.h,8 :: 		CS_EN = 0;
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;routinesst7735.h,9 :: 		AO=1;
	BSF         RC0_bit+0, BitPos(RC0_bit+0) 
;routinesst7735.h,10 :: 		SPI_Write3(data_out);
	MOVF        FARG_senddata_data_out+0, 0 
	MOVWF       FARG_SPI_Write3_data_out+0 
	CALL        _SPI_Write3+0, 0
;routinesst7735.h,11 :: 		CS_EN = 1;
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;routinesst7735.h,12 :: 		}
L_end_senddata:
	RETURN      0
; end of _senddata

_SetPix:

;routinesst7735.h,13 :: 		void SetPix(char x, char y, int color){
;routinesst7735.h,14 :: 		char Low = color & 0x00ff;
	MOVLW       255
	ANDWF       FARG_SetPix_color+0, 0 
	MOVWF       R0 
	MOVF        FARG_SetPix_color+1, 0 
	MOVWF       R1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       SetPix_Low_L0+0 
;routinesst7735.h,15 :: 		char Hig = color>>8;
	MOVF        FARG_SetPix_color+1, 0 
	MOVWF       R0 
	MOVLW       0
	BTFSC       FARG_SetPix_color+1, 7 
	MOVLW       255
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       SetPix_Hig_L0+0 
;routinesst7735.h,16 :: 		y=y+Ystart;
	MOVLW       32
	ADDWF       FARG_SetPix_y+0, 1 
;routinesst7735.h,18 :: 		sendcomand(ST7735_CASET); // Column addr set
	MOVLW       42
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,19 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,20 :: 		senddata(x);     // XSTART
	MOVF        FARG_SetPix_x+0, 0 
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,21 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,22 :: 		senddata(x+1);     // XEND
	MOVF        FARG_SetPix_x+0, 0 
	ADDLW       1
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,24 :: 		sendcomand(ST7735_RASET); // Row addr set
	MOVLW       43
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,25 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,26 :: 		senddata(y);     // YSTART
	MOVF        FARG_SetPix_y+0, 0 
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,27 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,28 :: 		senddata(y+1);     // YEND
	MOVF        FARG_SetPix_y+0, 0 
	ADDLW       1
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,30 :: 		sendcomand(ST7735_RAMWR);
	MOVLW       44
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,32 :: 		senddata(Low);
	MOVF        SetPix_Low_L0+0, 0 
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,33 :: 		senddata(Hig);
	MOVF        SetPix_Hig_L0+0, 0 
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,34 :: 		}
L_end_SetPix:
	RETURN      0
; end of _SetPix

_fill:

;routinesst7735.h,35 :: 		void fill(int color){
;routinesst7735.h,36 :: 		char Low = color & 0x00ff;
	MOVLW       255
	ANDWF       FARG_fill_color+0, 0 
	MOVWF       R0 
	MOVF        FARG_fill_color+1, 0 
	MOVWF       R1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       fill_Low_L0+0 
;routinesst7735.h,37 :: 		char Hig = color>>8;
	MOVF        FARG_fill_color+1, 0 
	MOVWF       R0 
	MOVLW       0
	BTFSC       FARG_fill_color+1, 7 
	MOVLW       255
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       fill_Hig_L0+0 
;routinesst7735.h,40 :: 		sendcomand(ST7735_CASET); // Column addr set
	MOVLW       42
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,41 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,42 :: 		senddata(00);     // XSTART
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,43 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,44 :: 		senddata(V);     // XEND
	MOVLW       128
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,46 :: 		sendcomand(ST7735_RASET); // Row addr set
	MOVLW       43
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,47 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,48 :: 		senddata(Ystart);     // YSTART
	MOVLW       32
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,49 :: 		senddata(0x00);
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,50 :: 		senddata(H);     // YEND
	MOVLW       160
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,52 :: 		sendcomand(ST7735_RAMWR);
	MOVLW       44
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,54 :: 		for(x=0;x<V;x++){
	CLRF        fill_x_L0+0 
L_fill6:
	MOVLW       128
	SUBWF       fill_x_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_fill7
;routinesst7735.h,55 :: 		for(y=0;y<H;y++){
	CLRF        fill_y_L0+0 
L_fill9:
	MOVLW       160
	SUBWF       fill_y_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_fill10
;routinesst7735.h,56 :: 		senddata(Low);
	MOVF        fill_Low_L0+0, 0 
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,57 :: 		senddata(Hig);
	MOVF        fill_Hig_L0+0, 0 
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,55 :: 		for(y=0;y<H;y++){
	INCF        fill_y_L0+0, 1 
;routinesst7735.h,58 :: 		}
	GOTO        L_fill9
L_fill10:
;routinesst7735.h,54 :: 		for(x=0;x<V;x++){
	INCF        fill_x_L0+0, 1 
;routinesst7735.h,59 :: 		}
	GOTO        L_fill6
L_fill7:
;routinesst7735.h,60 :: 		}
L_end_fill:
	RETURN      0
; end of _fill

_init:

;routinesst7735.h,61 :: 		void init(){
;routinesst7735.h,62 :: 		CS_EN = 0;
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;routinesst7735.h,63 :: 		RST=1;
	BSF         RC1_bit+0, BitPos(RC1_bit+0) 
;routinesst7735.h,64 :: 		delay_us(710);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_init12:
	DECFSZ      R13, 1, 1
	BRA         L_init12
	DECFSZ      R12, 1, 1
	BRA         L_init12
;routinesst7735.h,65 :: 		RST=0;
	BCF         RC1_bit+0, BitPos(RC1_bit+0) 
;routinesst7735.h,66 :: 		delay_us(710);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_init13:
	DECFSZ      R13, 1, 1
	BRA         L_init13
	DECFSZ      R12, 1, 1
	BRA         L_init13
;routinesst7735.h,67 :: 		RST=1;
	BSF         RC1_bit+0, BitPos(RC1_bit+0) 
;routinesst7735.h,68 :: 		delay_ms(71);
	MOVLW       185
	MOVWF       R12, 0
	MOVLW       105
	MOVWF       R13, 0
L_init14:
	DECFSZ      R13, 1, 1
	BRA         L_init14
	DECFSZ      R12, 1, 1
	BRA         L_init14
;routinesst7735.h,69 :: 		sendcomand(ST7735_SWRESET);                         //  1: Software reset, 0 args, w/delay 150ms 0x01
	MOVLW       1
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,70 :: 		delay_ms(7);
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       45
	MOVWF       R13, 0
L_init15:
	DECFSZ      R13, 1, 1
	BRA         L_init15
	DECFSZ      R12, 1, 1
	BRA         L_init15
;routinesst7735.h,71 :: 		sendcomand(ST7735_SLPOUT);                          //  2: Out of sleep mode, 0 args, w/delay 500ms 0x11
	MOVLW       17
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,72 :: 		delay_ms(71);
	MOVLW       185
	MOVWF       R12, 0
	MOVLW       105
	MOVWF       R13, 0
L_init16:
	DECFSZ      R13, 1, 1
	BRA         L_init16
	DECFSZ      R12, 1, 1
	BRA         L_init16
;routinesst7735.h,73 :: 		sendcomand(ST7735_FRMCTR1);                         //  3: Frame rate ctrl - normal mode) 3 args: 0xb1
	MOVLW       177
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,74 :: 		senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Rate = fosc/(1x2+40) * (LINE+2C+2D)
	MOVLW       1
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       44
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       45
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,75 :: 		sendcomand(ST7735_FRMCTR2);                         //  4: Frame rate control - idle mode) 3 args: 0xb2
	MOVLW       178
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,76 :: 		senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Rate = fosc/(1x2+40) * (LINE+2C+2D)
	MOVLW       1
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       44
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       45
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,77 :: 		sendcomand(ST7735_FRMCTR3);                         //  5: Frame rate ctrl - partial mode) 6 args: 0xb3
	MOVLW       179
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,78 :: 		senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Dot inversion mode
	MOVLW       1
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       44
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       45
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,79 :: 		senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Line inversion mode
	MOVLW       1
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       44
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       45
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,80 :: 		sendcomand(ST7735_INVCTR);                          //  6: Display inversion ctrl) 1 arg) no delay: 0xb4
	MOVLW       180
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,81 :: 		senddata(0x07);                                   //     No inversion
	MOVLW       7
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,82 :: 		sendcomand(ST7735_PWCTR1);                          //  7: Power control) 3 args) no delay: 0xc0
	MOVLW       192
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,83 :: 		senddata(0xA2);
	MOVLW       162
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,84 :: 		senddata(0x02);                                   //     -4.6V
	MOVLW       2
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,85 :: 		senddata(0x84);                                   //     AUTO mode
	MOVLW       132
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,86 :: 		sendcomand(ST7735_PWCTR2);                          //  8: Power control) 1 arg) no delay: 0xc1
	MOVLW       193
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,87 :: 		senddata(0xC5);                                   //     VGH25 = 2.4C VGSEL = -10 VGH = 3 * AVDD
	MOVLW       197
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,88 :: 		sendcomand(ST7735_PWCTR3);                          //  9: Power control) 2 args) no delay: 0xc2
	MOVLW       194
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,89 :: 		senddata(0x0A);                                   //     Opamp current small
	MOVLW       10
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,90 :: 		senddata(0x00);                                   //     Boost frequency
	CLRF        FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,91 :: 		sendcomand(ST7735_PWCTR4);                          // 10: Power control) 2 args) no delay:
	MOVLW       195
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,92 :: 		senddata(0x8A);                                   //     BCLK/2) Opamp current small & Medium low
	MOVLW       138
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,93 :: 		senddata(0x2A);
	MOVLW       42
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,94 :: 		sendcomand(ST7735_PWCTR5);                          // 11: Power control) 2 args) no delay:
	MOVLW       196
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,95 :: 		senddata(0x8A); senddata(0xEE);
	MOVLW       138
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
	MOVLW       238
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,96 :: 		sendcomand(ST7735_VMCTR1);                          // 12: Power control) 1 arg) no delay:
	MOVLW       197
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,97 :: 		senddata(0x0E);
	MOVLW       14
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,98 :: 		sendcomand(ST7735_INVOFF);                          // 13: Don't invert display) no args) no delay 0x20
	MOVLW       32
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,99 :: 		sendcomand(ST7735_MADCTL);                          // 14: Memory access control (directions)) 1 arg:
	MOVLW       54
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,100 :: 		senddata(0xC8);                                   //     row addr/col addr); bottom to top refresh
	MOVLW       200
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,101 :: 		sendcomand(ST7735_COLMOD);                          // 15: set color mode); 1 arg); no delay:
	MOVLW       58
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,102 :: 		senddata(0x05);                                   //     16-bit color
	MOVLW       5
	MOVWF       FARG_senddata_data_out+0 
	CALL        _senddata+0, 0
;routinesst7735.h,103 :: 		sendcomand(ST7735_NORON);                           //  3: Normal display on, no args, w/delay 10ms 0x13
	MOVLW       19
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,104 :: 		delay_us(710);
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_init17:
	DECFSZ      R13, 1, 1
	BRA         L_init17
	DECFSZ      R12, 1, 1
	BRA         L_init17
;routinesst7735.h,105 :: 		sendcomand(ST7735_DISPON);                          //  4: Main screen turn on, no args w/delay 100ms 0x29
	MOVLW       41
	MOVWF       FARG_sendcomand_data_out+0 
	CALL        _sendcomand+0, 0
;routinesst7735.h,106 :: 		delay_ms(7);
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       45
	MOVWF       R13, 0
L_init18:
	DECFSZ      R13, 1, 1
	BRA         L_init18
	DECFSZ      R12, 1, 1
	BRA         L_init18
;routinesst7735.h,107 :: 		CS_EN = 1;
	BSF         RC2_bit+0, BitPos(RC2_bit+0) 
;routinesst7735.h,109 :: 		}
L_end_init:
	RETURN      0
; end of _init

_ASCII:

;routinesst7735.h,110 :: 		void ASCII(char x, char y, int color, int background, char letter, char size){
;routinesst7735.h,112 :: 		for(q=0;q<6;q++){                          //orig q<5
	CLRF        ASCII_q_L0+0 
L_ASCII19:
	MOVLW       6
	SUBWF       ASCII_q_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ASCII20
;routinesst7735.h,113 :: 		dta = font[letter][q];
	MOVLW       5
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	MOVF        FARG_ASCII_letter+0, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       _font+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_font+0)
	ADDWFC      R1, 1 
	MOVLW       higher_addr(_font+0)
	ADDWFC      R2, 1 
	MOVF        ASCII_q_L0+0, 0 
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, ASCII_dta_L0+0
;routinesst7735.h,114 :: 		if (q==5) {dta=0;}                     //moet background zijn
	MOVF        ASCII_q_L0+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L_ASCII22
	CLRF        ASCII_dta_L0+0 
L_ASCII22:
;routinesst7735.h,115 :: 		for(z=0;z<8;z++){
	CLRF        ASCII_z_L0+0 
L_ASCII23:
	MOVLW       8
	SUBWF       ASCII_z_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ASCII24
;routinesst7735.h,116 :: 		if((dta&1)!=0){
	MOVLW       1
	ANDWF       ASCII_dta_L0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_ASCII26
;routinesst7735.h,117 :: 		for(d=0; d<size;d++){
	CLRF        ASCII_d_L0+0 
L_ASCII27:
	MOVF        FARG_ASCII_size+0, 0 
	SUBWF       ASCII_d_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ASCII28
;routinesst7735.h,118 :: 		for(b=0; b<size;b++){
	CLRF        ASCII_b_L0+0 
L_ASCII30:
	MOVF        FARG_ASCII_size+0, 0 
	SUBWF       ASCII_b_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ASCII31
;routinesst7735.h,119 :: 		SetPix(x+(q*size)+d,y+(z*size)+b,color);
	MOVF        ASCII_q_L0+0, 0 
	MULWF       FARG_ASCII_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       FARG_ASCII_x+0, 0 
	MOVWF       FARG_SetPix_x+0 
	MOVF        ASCII_d_L0+0, 0 
	ADDWF       FARG_SetPix_x+0, 1 
	MOVF        ASCII_z_L0+0, 0 
	MULWF       FARG_ASCII_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       FARG_ASCII_y+0, 0 
	MOVWF       FARG_SetPix_y+0 
	MOVF        ASCII_b_L0+0, 0 
	ADDWF       FARG_SetPix_y+0, 1 
	MOVF        FARG_ASCII_color+0, 0 
	MOVWF       FARG_SetPix_color+0 
	MOVF        FARG_ASCII_color+1, 0 
	MOVWF       FARG_SetPix_color+1 
	CALL        _SetPix+0, 0
;routinesst7735.h,118 :: 		for(b=0; b<size;b++){
	INCF        ASCII_b_L0+0, 1 
;routinesst7735.h,120 :: 		}
	GOTO        L_ASCII30
L_ASCII31:
;routinesst7735.h,117 :: 		for(d=0; d<size;d++){
	INCF        ASCII_d_L0+0, 1 
;routinesst7735.h,121 :: 		}
	GOTO        L_ASCII27
L_ASCII28:
;routinesst7735.h,122 :: 		}else{
	GOTO        L_ASCII33
L_ASCII26:
;routinesst7735.h,123 :: 		for(d=0; d<size;d++){
	CLRF        ASCII_d_L0+0 
L_ASCII34:
	MOVF        FARG_ASCII_size+0, 0 
	SUBWF       ASCII_d_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ASCII35
;routinesst7735.h,124 :: 		for(b=0; b<size;b++){
	CLRF        ASCII_b_L0+0 
L_ASCII37:
	MOVF        FARG_ASCII_size+0, 0 
	SUBWF       ASCII_b_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_ASCII38
;routinesst7735.h,125 :: 		SetPix(x+(q*size)+d,y+(z*size)+b,background);
	MOVF        ASCII_q_L0+0, 0 
	MULWF       FARG_ASCII_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       FARG_ASCII_x+0, 0 
	MOVWF       FARG_SetPix_x+0 
	MOVF        ASCII_d_L0+0, 0 
	ADDWF       FARG_SetPix_x+0, 1 
	MOVF        ASCII_z_L0+0, 0 
	MULWF       FARG_ASCII_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       FARG_ASCII_y+0, 0 
	MOVWF       FARG_SetPix_y+0 
	MOVF        ASCII_b_L0+0, 0 
	ADDWF       FARG_SetPix_y+0, 1 
	MOVF        FARG_ASCII_background+0, 0 
	MOVWF       FARG_SetPix_color+0 
	MOVF        FARG_ASCII_background+1, 0 
	MOVWF       FARG_SetPix_color+1 
	CALL        _SetPix+0, 0
;routinesst7735.h,124 :: 		for(b=0; b<size;b++){
	INCF        ASCII_b_L0+0, 1 
;routinesst7735.h,126 :: 		}
	GOTO        L_ASCII37
L_ASCII38:
;routinesst7735.h,123 :: 		for(d=0; d<size;d++){
	INCF        ASCII_d_L0+0, 1 
;routinesst7735.h,127 :: 		}
	GOTO        L_ASCII34
L_ASCII35:
;routinesst7735.h,128 :: 		}
L_ASCII33:
;routinesst7735.h,129 :: 		dta>>=1;
	RRCF        ASCII_dta_L0+0, 1 
	BCF         ASCII_dta_L0+0, 7 
;routinesst7735.h,115 :: 		for(z=0;z<8;z++){
	INCF        ASCII_z_L0+0, 1 
;routinesst7735.h,130 :: 		}
	GOTO        L_ASCII23
L_ASCII24:
;routinesst7735.h,112 :: 		for(q=0;q<6;q++){                          //orig q<5
	INCF        ASCII_q_L0+0, 1 
;routinesst7735.h,131 :: 		}
	GOTO        L_ASCII19
L_ASCII20:
;routinesst7735.h,132 :: 		}
L_end_ASCII:
	RETURN      0
; end of _ASCII

_prints:

;routinesst7735.h,133 :: 		void prints(char x, char y, int color, int background, char * message, char size){
;routinesst7735.h,134 :: 		while (*message){
L_prints40:
	MOVFF       FARG_prints_message+0, FSR0
	MOVFF       FARG_prints_message+1, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_prints41
;routinesst7735.h,135 :: 		ASCII(x,y,color,background,*message++, size);
	MOVF        FARG_prints_x+0, 0 
	MOVWF       FARG_ASCII_x+0 
	MOVF        FARG_prints_y+0, 0 
	MOVWF       FARG_ASCII_y+0 
	MOVF        FARG_prints_color+0, 0 
	MOVWF       FARG_ASCII_color+0 
	MOVF        FARG_prints_color+1, 0 
	MOVWF       FARG_ASCII_color+1 
	MOVF        FARG_prints_background+0, 0 
	MOVWF       FARG_ASCII_background+0 
	MOVF        FARG_prints_background+1, 0 
	MOVWF       FARG_ASCII_background+1 
	MOVFF       FARG_prints_message+0, FSR0
	MOVFF       FARG_prints_message+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_ASCII_letter+0 
	MOVF        FARG_prints_size+0, 0 
	MOVWF       FARG_ASCII_size+0 
	CALL        _ASCII+0, 0
	INFSNZ      FARG_prints_message+0, 1 
	INCF        FARG_prints_message+1, 1 
;routinesst7735.h,136 :: 		x+=6*size;
	MOVLW       6
	MULWF       FARG_prints_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDWF       FARG_prints_x+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       FARG_prints_x+0 
;routinesst7735.h,137 :: 		if(x>120){
	MOVF        R1, 0 
	SUBLW       120
	BTFSC       STATUS+0, 0 
	GOTO        L_prints42
;routinesst7735.h,138 :: 		x=0;
	CLRF        FARG_prints_x+0 
;routinesst7735.h,139 :: 		y+=8*size;
	MOVF        FARG_prints_size+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	ADDWF       FARG_prints_y+0, 1 
;routinesst7735.h,140 :: 		}
L_prints42:
;routinesst7735.h,141 :: 		}
	GOTO        L_prints40
L_prints41:
;routinesst7735.h,142 :: 		}
L_end_prints:
	RETURN      0
; end of _prints

_integerprint:

;routinesst7735.h,143 :: 		void integerprint(char x, char y, int color, int background,int integer, char size){
;routinesst7735.h,145 :: 		tenthousands = integer / 10000;
	MOVLW       16
	MOVWF       R4 
	MOVLW       39
	MOVWF       R5 
	MOVF        FARG_integerprint_integer+0, 0 
	MOVWF       R0 
	MOVF        FARG_integerprint_integer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R0, 0 
	MOVWF       integerprint_tenthousands_L0+0 
;routinesst7735.h,146 :: 		ASCII(x,y,color,background,tenthousands+48, size);
	MOVF        FARG_integerprint_x+0, 0 
	MOVWF       FARG_ASCII_x+0 
	MOVF        FARG_integerprint_y+0, 0 
	MOVWF       FARG_ASCII_y+0 
	MOVF        FARG_integerprint_color+0, 0 
	MOVWF       FARG_ASCII_color+0 
	MOVF        FARG_integerprint_color+1, 0 
	MOVWF       FARG_ASCII_color+1 
	MOVF        FARG_integerprint_background+0, 0 
	MOVWF       FARG_ASCII_background+0 
	MOVF        FARG_integerprint_background+1, 0 
	MOVWF       FARG_ASCII_background+1 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_ASCII_letter+0 
	MOVF        FARG_integerprint_size+0, 0 
	MOVWF       FARG_ASCII_size+0 
	CALL        _ASCII+0, 0
;routinesst7735.h,147 :: 		thousands = ((integer - tenthousands*10000)) / 1000;
	MOVF        integerprint_tenthousands_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       16
	MOVWF       R4 
	MOVLW       39
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	SUBWF       FARG_integerprint_integer+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	SUBWFB      FARG_integerprint_integer+1, 0 
	MOVWF       R1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R0, 0 
	MOVWF       integerprint_thousands_L0+0 
;routinesst7735.h,148 :: 		x+=(1+size*5);
	MOVLW       5
	MULWF       FARG_integerprint_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R2 
	INCF        R2, 1 
	MOVF        FARG_integerprint_x+0, 0 
	ADDWF       R2, 1 
	MOVF        R2, 0 
	MOVWF       FARG_integerprint_x+0 
;routinesst7735.h,149 :: 		ASCII(x,y,color,background,thousands+48, size);
	MOVF        R2, 0 
	MOVWF       FARG_ASCII_x+0 
	MOVF        FARG_integerprint_y+0, 0 
	MOVWF       FARG_ASCII_y+0 
	MOVF        FARG_integerprint_color+0, 0 
	MOVWF       FARG_ASCII_color+0 
	MOVF        FARG_integerprint_color+1, 0 
	MOVWF       FARG_ASCII_color+1 
	MOVF        FARG_integerprint_background+0, 0 
	MOVWF       FARG_ASCII_background+0 
	MOVF        FARG_integerprint_background+1, 0 
	MOVWF       FARG_ASCII_background+1 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_ASCII_letter+0 
	MOVF        FARG_integerprint_size+0, 0 
	MOVWF       FARG_ASCII_size+0 
	CALL        _ASCII+0, 0
;routinesst7735.h,150 :: 		hundreds = (((integer - tenthousands*10000) - thousands*1000)-1) / 100;
	MOVF        integerprint_tenthousands_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       16
	MOVWF       R4 
	MOVLW       39
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	SUBWF       FARG_integerprint_integer+0, 0 
	MOVWF       FLOC__integerprint+0 
	MOVF        R1, 0 
	SUBWFB      FARG_integerprint_integer+1, 0 
	MOVWF       FLOC__integerprint+1 
	MOVF        integerprint_thousands_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       232
	MOVWF       R4 
	MOVLW       3
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        R0, 0 
	SUBWF       FLOC__integerprint+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
	SUBWFB      FLOC__integerprint+1, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       R0, 1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
;routinesst7735.h,151 :: 		x+=(1+size*5);
	MOVLW       5
	MULWF       FARG_integerprint_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R2 
	INCF        R2, 1 
	MOVF        FARG_integerprint_x+0, 0 
	ADDWF       R2, 1 
	MOVF        R2, 0 
	MOVWF       FARG_integerprint_x+0 
;routinesst7735.h,152 :: 		ASCII(x,y,color,background,hundreds+48, size);
	MOVF        R2, 0 
	MOVWF       FARG_ASCII_x+0 
	MOVF        FARG_integerprint_y+0, 0 
	MOVWF       FARG_ASCII_y+0 
	MOVF        FARG_integerprint_color+0, 0 
	MOVWF       FARG_ASCII_color+0 
	MOVF        FARG_integerprint_color+1, 0 
	MOVWF       FARG_ASCII_color+1 
	MOVF        FARG_integerprint_background+0, 0 
	MOVWF       FARG_ASCII_background+0 
	MOVF        FARG_integerprint_background+1, 0 
	MOVWF       FARG_ASCII_background+1 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_ASCII_letter+0 
	MOVF        FARG_integerprint_size+0, 0 
	MOVWF       FARG_ASCII_size+0 
	CALL        _ASCII+0, 0
;routinesst7735.h,153 :: 		tens=(integer%100)/10;
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_integerprint_integer+0, 0 
	MOVWF       R0 
	MOVF        FARG_integerprint_integer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
;routinesst7735.h,154 :: 		x+=(1+size*5);
	MOVLW       5
	MULWF       FARG_integerprint_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R2 
	INCF        R2, 1 
	MOVF        FARG_integerprint_x+0, 0 
	ADDWF       R2, 1 
	MOVF        R2, 0 
	MOVWF       FARG_integerprint_x+0 
;routinesst7735.h,155 :: 		ASCII(x,y,color,background,tens+48, size);
	MOVF        R2, 0 
	MOVWF       FARG_ASCII_x+0 
	MOVF        FARG_integerprint_y+0, 0 
	MOVWF       FARG_ASCII_y+0 
	MOVF        FARG_integerprint_color+0, 0 
	MOVWF       FARG_ASCII_color+0 
	MOVF        FARG_integerprint_color+1, 0 
	MOVWF       FARG_ASCII_color+1 
	MOVF        FARG_integerprint_background+0, 0 
	MOVWF       FARG_ASCII_background+0 
	MOVF        FARG_integerprint_background+1, 0 
	MOVWF       FARG_ASCII_background+1 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_ASCII_letter+0 
	MOVF        FARG_integerprint_size+0, 0 
	MOVWF       FARG_ASCII_size+0 
	CALL        _ASCII+0, 0
;routinesst7735.h,156 :: 		ones=integer%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_integerprint_integer+0, 0 
	MOVWF       R0 
	MOVF        FARG_integerprint_integer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
;routinesst7735.h,157 :: 		x+=(1+size*5);
	MOVLW       5
	MULWF       FARG_integerprint_size+0 
	MOVF        PRODL+0, 0 
	MOVWF       R2 
	INCF        R2, 1 
	MOVF        FARG_integerprint_x+0, 0 
	ADDWF       R2, 1 
	MOVF        R2, 0 
	MOVWF       FARG_integerprint_x+0 
;routinesst7735.h,158 :: 		ASCII(x,y,color,background,ones+48, size);
	MOVF        R2, 0 
	MOVWF       FARG_ASCII_x+0 
	MOVF        FARG_integerprint_y+0, 0 
	MOVWF       FARG_ASCII_y+0 
	MOVF        FARG_integerprint_color+0, 0 
	MOVWF       FARG_ASCII_color+0 
	MOVF        FARG_integerprint_color+1, 0 
	MOVWF       FARG_ASCII_color+1 
	MOVF        FARG_integerprint_background+0, 0 
	MOVWF       FARG_ASCII_background+0 
	MOVF        FARG_integerprint_background+1, 0 
	MOVWF       FARG_ASCII_background+1 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_ASCII_letter+0 
	MOVF        FARG_integerprint_size+0, 0 
	MOVWF       FARG_ASCII_size+0 
	CALL        _ASCII+0, 0
;routinesst7735.h,159 :: 		}
L_end_integerprint:
	RETURN      0
; end of _integerprint

_line:

;routinesst7735.h,161 :: 		void line(char x1, char y1, char x2, char y2, int color){
;routinesst7735.h,164 :: 		Dx=x2-x1;
	MOVF        FARG_line_x1+0, 0 
	SUBWF       FARG_line_x2+0, 0 
	MOVWF       line_Dx_L0+0 
	CLRF        line_Dx_L0+1 
	MOVLW       0
	SUBWFB      line_Dx_L0+1, 1 
;routinesst7735.h,165 :: 		Dy=y2-y1;
	MOVF        FARG_line_y1+0, 0 
	SUBWF       FARG_line_y2+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVF        R0, 0 
	MOVWF       line_Dy_L0+0 
	MOVF        R1, 0 
	MOVWF       line_Dy_L0+1 
;routinesst7735.h,166 :: 		D=max(abs(Dx),abs(Dy));
	MOVF        R0, 0 
	MOVWF       FARG_abs_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_abs_a+1 
	CALL        _abs+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__line+0 
	MOVF        R1, 0 
	MOVWF       FLOC__line+1 
	MOVF        line_Dx_L0+0, 0 
	MOVWF       FARG_abs_a+0 
	MOVF        line_Dx_L0+1, 0 
	MOVWF       FARG_abs_a+1 
	CALL        _abs+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_max_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_max_a+1 
	MOVF        FLOC__line+0, 0 
	MOVWF       FARG_max_b+0 
	MOVF        FLOC__line+1, 0 
	MOVWF       FARG_max_b+1 
	CALL        _max+0, 0
	MOVF        R0, 0 
	MOVWF       line_D_L0+0 
	MOVF        R1, 0 
	MOVWF       line_D_L0+1 
;routinesst7735.h,167 :: 		for(Dc=0; Dc<D; Dc++){
	CLRF        line_Dc_L0+0 
	CLRF        line_Dc_L0+1 
L_line43:
	MOVLW       128
	XORWF       line_Dc_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       line_D_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__line71
	MOVF        line_D_L0+0, 0 
	SUBWF       line_Dc_L0+0, 0 
L__line71:
	BTFSC       STATUS+0, 0 
	GOTO        L_line44
;routinesst7735.h,168 :: 		SetPix(x1+(Dx*Dc)/D,y1+(Dy*Dc)/D,color);
	MOVF        line_Dx_L0+0, 0 
	MOVWF       R0 
	MOVF        line_Dx_L0+1, 0 
	MOVWF       R1 
	MOVF        line_Dc_L0+0, 0 
	MOVWF       R4 
	MOVF        line_Dc_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        line_D_L0+0, 0 
	MOVWF       R4 
	MOVF        line_D_L0+1, 0 
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R0, 0 
	ADDWF       FARG_line_x1+0, 0 
	MOVWF       FARG_SetPix_x+0 
	MOVF        line_Dy_L0+0, 0 
	MOVWF       R0 
	MOVF        line_Dy_L0+1, 0 
	MOVWF       R1 
	MOVF        line_Dc_L0+0, 0 
	MOVWF       R4 
	MOVF        line_Dc_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16X16_U+0, 0
	MOVF        line_D_L0+0, 0 
	MOVWF       R4 
	MOVF        line_D_L0+1, 0 
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R0, 0 
	ADDWF       FARG_line_y1+0, 0 
	MOVWF       FARG_SetPix_y+0 
	MOVF        FARG_line_color+0, 0 
	MOVWF       FARG_SetPix_color+0 
	MOVF        FARG_line_color+1, 0 
	MOVWF       FARG_SetPix_color+1 
	CALL        _SetPix+0, 0
;routinesst7735.h,167 :: 		for(Dc=0; Dc<D; Dc++){
	INFSNZ      line_Dc_L0+0, 1 
	INCF        line_Dc_L0+1, 1 
;routinesst7735.h,169 :: 		}
	GOTO        L_line43
L_line44:
;routinesst7735.h,170 :: 		}
L_end_line:
	RETURN      0
; end of _line

_box:

;routinesst7735.h,172 :: 		void box(char x1, char y1, char x2, char y2, int color){
;routinesst7735.h,173 :: 		line(x1,y1,x1,y2,color);
	MOVF        FARG_box_x1+0, 0 
	MOVWF       FARG_line_x1+0 
	MOVF        FARG_box_y1+0, 0 
	MOVWF       FARG_line_y1+0 
	MOVF        FARG_box_x1+0, 0 
	MOVWF       FARG_line_x2+0 
	MOVF        FARG_box_y2+0, 0 
	MOVWF       FARG_line_y2+0 
	MOVF        FARG_box_color+0, 0 
	MOVWF       FARG_line_color+0 
	MOVF        FARG_box_color+1, 0 
	MOVWF       FARG_line_color+1 
	CALL        _line+0, 0
;routinesst7735.h,174 :: 		line(x1,y2,x2,y2,color);
	MOVF        FARG_box_x1+0, 0 
	MOVWF       FARG_line_x1+0 
	MOVF        FARG_box_y2+0, 0 
	MOVWF       FARG_line_y1+0 
	MOVF        FARG_box_x2+0, 0 
	MOVWF       FARG_line_x2+0 
	MOVF        FARG_box_y2+0, 0 
	MOVWF       FARG_line_y2+0 
	MOVF        FARG_box_color+0, 0 
	MOVWF       FARG_line_color+0 
	MOVF        FARG_box_color+1, 0 
	MOVWF       FARG_line_color+1 
	CALL        _line+0, 0
;routinesst7735.h,175 :: 		line(x2,y2,x2,y1,color);
	MOVF        FARG_box_x2+0, 0 
	MOVWF       FARG_line_x1+0 
	MOVF        FARG_box_y2+0, 0 
	MOVWF       FARG_line_y1+0 
	MOVF        FARG_box_x2+0, 0 
	MOVWF       FARG_line_x2+0 
	MOVF        FARG_box_y1+0, 0 
	MOVWF       FARG_line_y2+0 
	MOVF        FARG_box_color+0, 0 
	MOVWF       FARG_line_color+0 
	MOVF        FARG_box_color+1, 0 
	MOVWF       FARG_line_color+1 
	CALL        _line+0, 0
;routinesst7735.h,176 :: 		line(x2,y1,x1,y1,color);
	MOVF        FARG_box_x2+0, 0 
	MOVWF       FARG_line_x1+0 
	MOVF        FARG_box_y1+0, 0 
	MOVWF       FARG_line_y1+0 
	MOVF        FARG_box_x1+0, 0 
	MOVWF       FARG_line_x2+0 
	MOVF        FARG_box_y1+0, 0 
	MOVWF       FARG_line_y2+0 
	MOVF        FARG_box_color+0, 0 
	MOVWF       FARG_line_color+0 
	MOVF        FARG_box_color+1, 0 
	MOVWF       FARG_line_color+1 
	CALL        _line+0, 0
;routinesst7735.h,177 :: 		}
L_end_box:
	RETURN      0
; end of _box

_fbox:

;routinesst7735.h,179 :: 		void fbox(char x1, char y1, char x2, char y2, int color){
;routinesst7735.h,181 :: 		d=X2-X1;
	MOVF        FARG_fbox_x1+0, 0 
	SUBWF       FARG_fbox_x2+0, 0 
	MOVWF       fbox_d_L0+0 
;routinesst7735.h,182 :: 		for (x=0;x<d;x++){
	CLRF        fbox_x_L0+0 
L_fbox46:
	MOVF        fbox_d_L0+0, 0 
	SUBWF       fbox_x_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_fbox47
;routinesst7735.h,183 :: 		line(x1+x,y1,x1+x,y2,color);
	MOVF        fbox_x_L0+0, 0 
	ADDWF       FARG_fbox_x1+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       FARG_line_x1+0 
	MOVF        FARG_fbox_y1+0, 0 
	MOVWF       FARG_line_y1+0 
	MOVF        R0, 0 
	MOVWF       FARG_line_x2+0 
	MOVF        FARG_fbox_y2+0, 0 
	MOVWF       FARG_line_y2+0 
	MOVF        FARG_fbox_color+0, 0 
	MOVWF       FARG_line_color+0 
	MOVF        FARG_fbox_color+1, 0 
	MOVWF       FARG_line_color+1 
	CALL        _line+0, 0
;routinesst7735.h,182 :: 		for (x=0;x<d;x++){
	INCF        fbox_x_L0+0, 1 
;routinesst7735.h,184 :: 		}
	GOTO        L_fbox46
L_fbox47:
;routinesst7735.h,185 :: 		}
L_end_fbox:
	RETURN      0
; end of _fbox

_main:

;main.c,37 :: 		void main() {
;main.c,41 :: 		ADCON1 = 0x0F;                                                 //18f4520: p224 0F=1111 Set AN0-AN12 PortA/E/B to all digital   ( A/D Control Register 1 )
	MOVLW       15
	MOVWF       ADCON1+0 
;main.c,42 :: 		ADON_bit = 0;                                                  // 18f4520: p223 Turn off AD convertor       (part of ADCON0 Register O)
	BCF         ADON_bit+0, BitPos(ADON_bit+0) 
;main.c,43 :: 		CMCON  = 0x07;                                                 // 18f4520: p233/234 Turn off comparators  7=0111
	MOVLW       7
	MOVWF       CMCON+0 
;main.c,44 :: 		TRISA = 0;  TRISB = 0;  TRISD = 0;  TRISE = 0;
	CLRF        TRISA+0 
	CLRF        TRISB+0 
	CLRF        TRISD+0 
	CLRF        TRISE+0 
;main.c,45 :: 		LATD=0x00;
	CLRF        LATD+0 
;main.c,47 :: 		CS_EN = 0;
	BCF         RC2_bit+0, BitPos(RC2_bit+0) 
;main.c,48 :: 		SPI_Init3();   delay_ms(20);
	CALL        _SPI_Init3+0, 0
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main49:
	DECFSZ      R13, 1, 1
	BRA         L_main49
	DECFSZ      R12, 1, 1
	BRA         L_main49
	NOP
	NOP
;main.c,49 :: 		init();                              //routine, gecontroleerd
	CALL        _init+0, 0
;main.c,51 :: 		fill (YELLOW);
	MOVLW       254
	MOVWF       FARG_fill_color+0 
	MOVLW       0
	MOVWF       FARG_fill_color+1 
	CALL        _fill+0, 0
;main.c,52 :: 		prints(5,6,WHITE,RED,"       ST7735       ", 1);
	MOVLW       5
	MOVWF       FARG_prints_x+0 
	MOVLW       6
	MOVWF       FARG_prints_y+0 
	MOVLW       255
	MOVWF       FARG_prints_color+0 
	MOVLW       255
	MOVWF       FARG_prints_color+1 
	MOVLW       240
	MOVWF       FARG_prints_background+0 
	MOVLW       0
	MOVWF       FARG_prints_background+1 
	MOVLW       ?lstr1_main+0
	MOVWF       FARG_prints_message+0 
	MOVLW       hi_addr(?lstr1_main+0)
	MOVWF       FARG_prints_message+1 
	MOVLW       1
	MOVWF       FARG_prints_size+0 
	CALL        _prints+0, 0
;main.c,54 :: 		box(5, 5, 123, 123, BLACK);
	MOVLW       5
	MOVWF       FARG_box_x1+0 
	MOVLW       5
	MOVWF       FARG_box_y1+0 
	MOVLW       123
	MOVWF       FARG_box_x2+0 
	MOVLW       123
	MOVWF       FARG_box_y2+0 
	CLRF        FARG_box_color+0 
	CLRF        FARG_box_color+1 
	CALL        _box+0, 0
;main.c,61 :: 		fbox(10, 80, 85, 110, BLACK);
	MOVLW       10
	MOVWF       FARG_fbox_x1+0 
	MOVLW       80
	MOVWF       FARG_fbox_y1+0 
	MOVLW       85
	MOVWF       FARG_fbox_x2+0 
	MOVLW       110
	MOVWF       FARG_fbox_y2+0 
	CLRF        FARG_fbox_color+0 
	CLRF        FARG_fbox_color+1 
	CALL        _fbox+0, 0
;main.c,62 :: 		for (i=0;i<8;i++){
	CLRF        _i+0 
	CLRF        _i+1 
L_main50:
	MOVLW       0
	SUBWF       _i+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main75
	MOVLW       8
	SUBWF       _i+0, 0 
L__main75:
	BTFSC       STATUS+0, 0 
	GOTO        L_main51
;main.c,63 :: 		fbox(15+i*8,86,22+i*8,104,WHITE);
	MOVLW       3
	MOVWF       R1 
	MOVF        _i+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
L__main76:
	BZ          L__main77
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__main76
L__main77:
	MOVF        R0, 0 
	ADDLW       15
	MOVWF       FARG_fbox_x1+0 
	MOVLW       86
	MOVWF       FARG_fbox_y1+0 
	MOVF        R0, 0 
	ADDLW       22
	MOVWF       FARG_fbox_x2+0 
	MOVLW       104
	MOVWF       FARG_fbox_y2+0 
	MOVLW       255
	MOVWF       FARG_fbox_color+0 
	MOVLW       255
	MOVWF       FARG_fbox_color+1 
	CALL        _fbox+0, 0
;main.c,62 :: 		for (i=0;i<8;i++){
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
;main.c,64 :: 		}
	GOTO        L_main50
L_main51:
;main.c,65 :: 		prints(75,115,WHITE,BLACK," Sistto ", 1);
	MOVLW       75
	MOVWF       FARG_prints_x+0 
	MOVLW       115
	MOVWF       FARG_prints_y+0 
	MOVLW       255
	MOVWF       FARG_prints_color+0 
	MOVLW       255
	MOVWF       FARG_prints_color+1 
	CLRF        FARG_prints_background+0 
	CLRF        FARG_prints_background+1 
	MOVLW       ?lstr2_main+0
	MOVWF       FARG_prints_message+0 
	MOVLW       hi_addr(?lstr2_main+0)
	MOVWF       FARG_prints_message+1 
	MOVLW       1
	MOVWF       FARG_prints_size+0 
	CALL        _prints+0, 0
;main.c,67 :: 		while(1) {
L_main53:
;main.c,68 :: 		i++ ;                                   ;           //unsigned short type 0-> 255, 3 karakters lang +term
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
;main.c,69 :: 		if (i>=4096) i=0;
	MOVLW       16
	SUBWF       _i+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main78
	MOVLW       0
	SUBWF       _i+0, 0 
L__main78:
	BTFSS       STATUS+0, 0 
	GOTO        L_main55
	CLRF        _i+0 
	CLRF        _i+1 
L_main55:
;main.c,70 :: 		i8b = (i%8);
	MOVLW       7
	ANDWF       _i+0, 0 
	MOVWF       R0 
	MOVF        _i+1, 0 
	MOVWF       R1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       _i8b+0 
;main.c,71 :: 		integerprint(10, 50, BLACK, WHITE,i,2);
	MOVLW       10
	MOVWF       FARG_integerprint_x+0 
	MOVLW       50
	MOVWF       FARG_integerprint_y+0 
	CLRF        FARG_integerprint_color+0 
	CLRF        FARG_integerprint_color+1 
	MOVLW       255
	MOVWF       FARG_integerprint_background+0 
	MOVLW       255
	MOVWF       FARG_integerprint_background+1 
	MOVF        _i+0, 0 
	MOVWF       FARG_integerprint_integer+0 
	MOVF        _i+1, 0 
	MOVWF       FARG_integerprint_integer+1 
	MOVLW       2
	MOVWF       FARG_integerprint_size+0 
	CALL        _integerprint+0, 0
;main.c,72 :: 		fbox(50, 20, 70, 40, i);
	MOVLW       50
	MOVWF       FARG_fbox_x1+0 
	MOVLW       20
	MOVWF       FARG_fbox_y1+0 
	MOVLW       70
	MOVWF       FARG_fbox_x2+0 
	MOVLW       40
	MOVWF       FARG_fbox_y2+0 
	MOVF        _i+0, 0 
	MOVWF       FARG_fbox_color+0 
	MOVF        _i+1, 0 
	MOVWF       FARG_fbox_color+1 
	CALL        _fbox+0, 0
;main.c,73 :: 		for (ii=0;ii<8;ii++){                                //eerst alles wissen
	CLRF        _ii+0 
	CLRF        _ii+1 
L_main56:
	MOVLW       0
	SUBWF       _ii+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main79
	MOVLW       8
	SUBWF       _ii+0, 0 
L__main79:
	BTFSC       STATUS+0, 0 
	GOTO        L_main57
;main.c,74 :: 		fbox(15+ii*8,86,22+ii*8,104,WHITE);
	MOVLW       3
	MOVWF       R1 
	MOVF        _ii+0, 0 
	MOVWF       R0 
	MOVF        R1, 0 
L__main80:
	BZ          L__main81
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__main80
L__main81:
	MOVF        R0, 0 
	ADDLW       15
	MOVWF       FARG_fbox_x1+0 
	MOVLW       86
	MOVWF       FARG_fbox_y1+0 
	MOVF        R0, 0 
	ADDLW       22
	MOVWF       FARG_fbox_x2+0 
	MOVLW       104
	MOVWF       FARG_fbox_y2+0 
	MOVLW       255
	MOVWF       FARG_fbox_color+0 
	MOVLW       255
	MOVWF       FARG_fbox_color+1 
	CALL        _fbox+0, 0
;main.c,73 :: 		for (ii=0;ii<8;ii++){                                //eerst alles wissen
	INFSNZ      _ii+0, 1 
	INCF        _ii+1, 1 
;main.c,75 :: 		}
	GOTO        L_main56
L_main57:
;main.c,76 :: 		fbox(15+i8b*8,86,22+i8b*8,104,RED);
	MOVF        _i8b+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	ADDLW       15
	MOVWF       FARG_fbox_x1+0 
	MOVLW       86
	MOVWF       FARG_fbox_y1+0 
	MOVF        R0, 0 
	ADDLW       22
	MOVWF       FARG_fbox_x2+0 
	MOVLW       104
	MOVWF       FARG_fbox_y2+0 
	MOVLW       240
	MOVWF       FARG_fbox_color+0 
	MOVLW       0
	MOVWF       FARG_fbox_color+1 
	CALL        _fbox+0, 0
;main.c,77 :: 		LATD = 1<<i8b;
	MOVF        _i8b+0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R0 
	MOVF        R1, 0 
L__main82:
	BZ          L__main83
	RLCF        R0, 1 
	BCF         R0, 0 
	ADDLW       255
	GOTO        L__main82
L__main83:
	MOVF        R0, 0 
	MOVWF       LATD+0 
;main.c,79 :: 		line(100,64,80+i8b*5,55-i8b*5,i);
	MOVLW       100
	MOVWF       FARG_line_x1+0 
	MOVLW       64
	MOVWF       FARG_line_y1+0 
	MOVLW       5
	MULWF       _i8b+0 
	MOVF        PRODL+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ADDLW       80
	MOVWF       FARG_line_x2+0 
	MOVF        R0, 0 
	SUBLW       55
	MOVWF       FARG_line_y2+0 
	MOVF        _i+0, 0 
	MOVWF       FARG_line_color+0 
	MOVF        _i+1, 0 
	MOVWF       FARG_line_color+1 
	CALL        _line+0, 0
;main.c,81 :: 		}
	GOTO        L_main53
;main.c,82 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
