/*  Configuration:
     Software       Cargo-Cult copypasting till it works by Steven Trompet.
                    No efforts were made to show or hide sources.
                    Links, comments and cleanup are only done to understand it myself.

     PIC18F4520     http://ww1.microchip.com/downloads/en/DeviceDoc/39631E.pdf
                    ac:pic18f4520
     Picplc16       http://www.mikroe.com/picplc16/
                    http://download.mikroe.com/documents/full-featured-boards/plc/picplc16-v6/picplc16-v6-manual-v100.pdf
                    http://download.mikroe.com/documents/full-featured-boards/plc/picplc16-v6/picplc16-v6-schematic-v101.pdf
     Hardware       No pullups on PORT A/B/C/D
                    All Dipswitches off, including SPI MOSI MISO CLK.
                    LED bargraph indicator on PORT D
     
     Breadboard     See Pin connections in definespi.h

     Other info     http://www.ermicro.com/blog/?p=1846
                    http://www.mikroe.com/add-on-boards/various/port-expander/
                    http://www.electroons.com/electroons/lcd_4_bit.html
                    http://blog.vinu.co.in/2011/06/4-bit-interfacing-of-16x2-lcd-display.html
                    http://www.taoli.ece.ufl.edu/teaching/4744/labs/lab7/LCD_V1.pdf
                    https://sites.google.com/site/arduinomega2560projects/microchip-pic/level-3/st7735-1-8-tft
                    http://www.aliexpress.com/item/F85-Free-Shipping-1-44-Serial-LCD-Display-128-128-SPI-TFT-Color-Screen-With-Adapter/32599702056.html
                    ac:glcd
*/

#include "defineSPI.h"
#include "defineST7735.h"

unsigned int i,ii;
char i8b;
int xx;

#include "routinesSPI.h"
#include "routinesST7735.h"

void main() {
  //ANSELB = 0;                                                  // for 45k22
  //ANSELC = 0;                                                  // Configure AN pins as digital I/O voor 45k22
  //SLRCON = 0;                                                  // Configure all PORTS at the standard Slew  voor 45k22
  ADCON1 = 0x0F;                                                 //18f4520: p224 0F=1111 Set AN0-AN12 PortA/E/B to all digital   ( A/D Control Register 1 )
  ADON_bit = 0;                                                  // 18f4520: p223 Turn off AD convertor       (part of ADCON0 Register O)
  CMCON  = 0x07;                                                 // 18f4520: p233/234 Turn off comparators  7=0111
  TRISA = 0;  TRISB = 0;  TRISD = 0;  TRISE = 0;
  LATD=0x00;

  CS_EN = 0;
  SPI_Init3();   delay_ms(20);
  init();                              //routine, gecontroleerd

  fill (YELLOW);
  prints(5,6,WHITE,RED,"       ST7735       ", 1);
  //box(10, 40, 60, 60, BLUE);
  box(5, 5, 123, 123, BLACK);
  //line(5,5,123,123,WHITE);
  //line(5,123,123,5,WHITE);

  //ASCII(10,50,WHITE, BLACK,6+48,1);
  //ASCII(30,50,WHITE, BLACK,0+48,3);

  fbox(10, 80, 85, 110, BLACK);
  for (i=0;i<8;i++){
      fbox(15+i*8,86,22+i*8,104,WHITE);
    }
  prints(75,115,WHITE,BLACK," Sistto ", 1);

  while(1) {
    i++ ;                                   ;
    if (i>=4096) i=0;
    i8b = (i%8);
    integerprint(10, 50, BLACK, WHITE,i,2);
    fbox(50, 20, 70, 40, i);
    for (ii=0;ii<8;ii++){                                       //first erase all
     fbox(15+ii*8,86,22+ii*8,104,WHITE);
    }
    fbox(15+i8b*8,86,22+i8b*8,104,RED);
    LATD = 1<<i8b;

    line(100,64,80+i8b*5,55-i8b*5,i);
    //Delay_ms(5);
  }
}