//This program contains SPI routines for the MCP23X08 and MCP23X17

void SPI_Init3( )              //settings pdf 17.3.3 p165
{
  CS_EN_Dir = 0;               //SS SLave select EN configure as output
  SCK_Dir=0;                   //SCK Master output
  MOSI_Dir=0;                  //MOSI output
  RST_Dir=0;                   //Reset output
  AO_Dir=0;                    //Data Command

  SSPSTAT &= 0x3F;               // power on state                       //SMP=0 middle CKE=0 idle->act
  SSPCON1 = 0x00;                // power on state
  SSPCON1 |= SPI_FOSC_4;         // select serial mode                   //delay voor enable moet aangepast worden
  SSPSTAT |= SMPMID;           // select data input sample phase
  SSPSTAT.CKE = 1;            // data transmitted on rising edge
  SSPCON1.CKP = 0;            // clock idle state low
  SSPCON1 |= SSPENB;            // set SSPCON bit5, enable synchronous serial port
  
  CS_EN = 1;
}

//*******************************************
// WriteSPI
// This is a copy of the library routine WriteSPI,
// but using the SSPIF flag instead of BF, as BF
// is now used on the receive side only.
//*******************************************
unsigned char SPI_Write3( unsigned char data_out )
{
  PIR1.SSPIF = 0;
  SSPBUF = data_out;           // write byte to SSPBUF register
  if ( SSPCON1 & 0x80 )        // test if write collision occurred
   return ( -1 );              // if WCOL bit is set return negative #
  else
  { while( !PIR1.SSPIF );}  // wait until bus cycle complete
  return ( 0 );                // if WCOL bit is not set return non-negative#
}


/********************************************************************
*     Function Name:    ReadSPI                                     *
*     Return Value:     contents of SSPBUF register                 *
*     Parameters:       void                                        *
*     Description:      Read single byte from SPI bus.              *
********************************************************************/
unsigned char SPI_Read3( char buff )
{
  SSPBUF = 0x00;                  // initiate bus cycle
  while ( !SSPSTAT.BF );      // wait until cycle complete
  return ( SSPBUF );              // return with byte read
}