void sendcomand(char data_out){
    CS_EN = 0;
    AO=0;
    SPI_Write3(data_out);
    CS_EN = 1;
}
void senddata(char data_out){
    CS_EN = 0;
    AO=1;
    SPI_Write3(data_out);
    CS_EN = 1;
}
void SetPix(char x, char y, int color){
    char Low = color & 0x00ff;
    char Hig = color>>8;
    y=y+Ystart;

    sendcomand(ST7735_CASET); // Column addr set
    senddata(0x00);
    senddata(x);     // XSTART
    senddata(0x00);
    senddata(x+1);     // XEND

    sendcomand(ST7735_RASET); // Row addr set
    senddata(0x00);
    senddata(y);     // YSTART
    senddata(0x00);
    senddata(y+1);     // YEND

    sendcomand(ST7735_RAMWR);

    senddata(Low);
    senddata(Hig);
}
void fill(int color){
    char Low = color & 0x00ff;
    char Hig = color>>8;
    char x,y;

    sendcomand(ST7735_CASET); // Column addr set
    senddata(0x00);
    senddata(00);     // XSTART
    senddata(0x00);
    senddata(V);     // XEND

    sendcomand(ST7735_RASET); // Row addr set
    senddata(0x00);
    senddata(Ystart);     // YSTART
    senddata(0x00);
    senddata(H);     // YEND

    sendcomand(ST7735_RAMWR);

    for(x=0;x<V;x++){
        for(y=0;y<H;y++){
            senddata(Low);
            senddata(Hig);
        }
    }
}
void init(){
    CS_EN = 0;
    RST=1;
    delay_us(710);
    RST=0;
    delay_us(710);
    RST=1;
    delay_ms(71);
    sendcomand(ST7735_SWRESET);                         //  1: Software reset, 0 args, w/delay 150ms 0x01
    delay_ms(7);
    sendcomand(ST7735_SLPOUT);                          //  2: Out of sleep mode, 0 args, w/delay 500ms 0x11
    delay_ms(71);
    sendcomand(ST7735_FRMCTR1);                         //  3: Frame rate ctrl - normal mode) 3 args: 0xb1
      senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Rate = fosc/(1x2+40) * (LINE+2C+2D)
    sendcomand(ST7735_FRMCTR2);                         //  4: Frame rate control - idle mode) 3 args: 0xb2
      senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Rate = fosc/(1x2+40) * (LINE+2C+2D)
    sendcomand(ST7735_FRMCTR3);                         //  5: Frame rate ctrl - partial mode) 6 args: 0xb3
      senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Dot inversion mode
      senddata(0x01); senddata(0x2C); senddata(0x2D);   //     Line inversion mode
    sendcomand(ST7735_INVCTR);                          //  6: Display inversion ctrl) 1 arg) no delay: 0xb4
      senddata(0x07);                                   //     No inversion
    sendcomand(ST7735_PWCTR1);                          //  7: Power control) 3 args) no delay: 0xc0
      senddata(0xA2);
      senddata(0x02);                                   //     -4.6V
      senddata(0x84);                                   //     AUTO mode
    sendcomand(ST7735_PWCTR2);                          //  8: Power control) 1 arg) no delay: 0xc1
      senddata(0xC5);                                   //     VGH25 = 2.4C VGSEL = -10 VGH = 3 * AVDD
    sendcomand(ST7735_PWCTR3);                          //  9: Power control) 2 args) no delay: 0xc2
      senddata(0x0A);                                   //     Opamp current small
      senddata(0x00);                                   //     Boost frequency
    sendcomand(ST7735_PWCTR4);                          // 10: Power control) 2 args) no delay:
      senddata(0x8A);                                   //     BCLK/2) Opamp current small & Medium low
      senddata(0x2A);
    sendcomand(ST7735_PWCTR5);                          // 11: Power control) 2 args) no delay:
      senddata(0x8A); senddata(0xEE);
    sendcomand(ST7735_VMCTR1);                          // 12: Power control) 1 arg) no delay:
      senddata(0x0E);
    sendcomand(ST7735_INVOFF);                          // 13: Don't invert display) no args) no delay 0x20
    sendcomand(ST7735_MADCTL);                          // 14: Memory access control (directions)) 1 arg:
      senddata(0xC8);                                   //     row addr/col addr); bottom to top refresh
    sendcomand(ST7735_COLMOD);                          // 15: set color mode); 1 arg); no delay:
      senddata(0x05);                                   //     16-bit color
    sendcomand(ST7735_NORON);                           //  3: Normal display on, no args, w/delay 10ms 0x13
    delay_us(710);
    sendcomand(ST7735_DISPON);                          //  4: Main screen turn on, no args w/delay 100ms 0x29
    delay_ms(7);
    CS_EN = 1;

}
void ASCII(char x, char y, int color, int background, char letter, char size){
    char dta, q, z, d, b;
    for(q=0;q<6;q++){                          //orig q<5
        dta = font[letter][q];
        if (q==5) {dta=0;}                     //moet background zijn
        for(z=0;z<8;z++){
            if((dta&1)!=0){
                for(d=0; d<size;d++){
                    for(b=0; b<size;b++){
                        SetPix(x+(q*size)+d,y+(z*size)+b,color);
                    }
                }
            }else{
                for(d=0; d<size;d++){
                    for(b=0; b<size;b++){
                        SetPix(x+(q*size)+d,y+(z*size)+b,background);
                    }
                }
            }
            dta>>=1;
        }
    }
}
void prints(char x, char y, int color, int background, char * message, char size){
    while (*message){
        ASCII(x,y,color,background,*message++, size);
        x+=6*size;
        if(x>120){
            x=0;
            y+=8*size;
        }
    }
}
void integerprint(char x, char y, int color, int background,int integer, char size){
    unsigned char tenthousands,thousands,hundreds,tens,ones;
    tenthousands = integer / 10000;
    ASCII(x,y,color,background,tenthousands+48, size);
    thousands = ((integer - tenthousands*10000)) / 1000;
    x+=(1+size*5);
    ASCII(x,y,color,background,thousands+48, size);
    hundreds = (((integer - tenthousands*10000) - thousands*1000)-1) / 100;
    x+=(1+size*5);
    ASCII(x,y,color,background,hundreds+48, size);
    tens=(integer%100)/10;
    x+=(1+size*5);
    ASCII(x,y,color,background,tens+48, size);
    ones=integer%10;
    x+=(1+size*5);
    ASCII(x,y,color,background,ones+48, size);
}

void line(char x1, char y1, char x2, char y2, int color){
   char x,y;
   int D, Dc, Dx, Dy;
   Dx=x2-x1;
   Dy=y2-y1;
   D=max(abs(Dx),abs(Dy));
   for(Dc=0; Dc<D; Dc++){
      SetPix(x1+(Dx*Dc)/D,y1+(Dy*Dc)/D,color);
    }
}

void box(char x1, char y1, char x2, char y2, int color){
    line(x1,y1,x1,y2,color);
    line(x1,y2,x2,y2,color);
    line(x2,y2,x2,y1,color);
    line(x2,y1,x1,y1,color);
}

void fbox(char x1, char y1, char x2, char y2, int color){
    char x,d;
    d=X2-X1;
    for (x=0;x<d;x++){
      line(x1+x,y1,x1+x,y2,color);
    }
}